Subject: bug#63089: [PATCH] Display offscreen matched openparen

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 May 2023 16:17:44 +0300

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sun, 30 Apr 2023 10:09:18 +0000
> 
> > I think the default value should be the default face.
> 
> Its default value is nil now.  I struggled with whether `nil' (it can
> be seen as an empty anonymous face) was better or `default'.
> 
> > "face will be propertized" is incorrect: we propertize text with a
> > face, we don't propertize the face.
> 
> Have replaced
> "the openparen's face will be propertized by this option"
> with
> "the openparen will be propertized with a face based on the value of
>  this option".
> 
> > This should be "30.1".  Emacs doesn't have NN.0 versions.
> 
> Got it.
> 
> >> +  "Return the line string that contains the openparen at POS.
> >> +Remove the line string's properties but give the openparen a face."
> >
> > This should include the name of the face,
> 
> The name of the face has been added:
> "...... give the openparen a face based on the option
>  `show-paren-openparen-face-in-message'."

Thanks.  Did you try "make bootstrap" with these changes?  The fact
that the new option is in paren.el but the code is in simple.el
worries me a bit: simple.el is preloaded before paren.el, so this
variable might not be known.  I think we should move the option to
simple,el, and rename it to blink-paren-SOMETHING.

Also, it is unusual to have a defcustom that names a face without a
corresponding defface that can be used to customize the face.  So I
think we should add a defface for the face used when the user option
is non-nil.

> Propertize the matched openparen displayed in the echo area in order to make
> it prominent; use light font for non-context characters (i.e., 'Matches').
> * lisp/simple.el (blink-matching-open): Set face shadow for 'Matches'.
> * lisp/simple.el (blink-paren-open-paren-line-string): Propertize the macthed
                                                                        ^^^^^^^
Typo there.

Also, the lines in the log message are too long, please make them at
most 70 column long.

Thanks.